Subject: Re: bug#36443: guix build mixes build dirs?

From: Robert Vollmert <[email-masked]>
Date: Sun, 30 Jun 2019 19:22:04 +0200

> On 30. Jun 2019, at 19:18, Mark H Weaver <[email-masked]> wrote:
> 
> Robert Vollmert <[email-masked]> writes:
> 
>> So this is pretty bizarre, and I haven’t managed to cut it down
>> to a smaller example yet, but it seems pretty clear that something
>> is broken:
>> 
>> $ guix build -K some-package
>> -> error, referencing /tmp/guix-build-puzzledb-frontend-20190625-git.drv-0
>> note: keeping build directory `/tmp/guix-build-puzzledb-frontend-20190625-git.drv-0’
>> $ guix build -K some-package
>> -> same error, again referencing /tmp/guix-build-puzzledb-frontend-20190625-git.drv-0
>> note: keeping build directory `/tmp/guix-build-puzzledb-frontend-20190625-git.drv-1’
> 
> This is known behavior, and intentional.  The build is done within a
> container, and the directory name within the container is canonicalized.

Thanks for clarifying. Do you have an idea how to make this less confusing?

In my follow-up to the bug report I suggested

> E.g. instead of saying “keeping build directory <dir>” say
> “Keeping a copy of the build directory at <dir>”.

But I feel that might be improved upon. “Copied build directory to …”?
What do you think?